Divison of Construction

picture of hwy1 along the ocean

iEWB Requirements

Any Prime Contractor with a computer and Internet access, meeting the minimum requirements, can become an account holder, go to training, and use the system.

 

Windows XP IE 6, 7 or 8,
Firefox 3.5.2, up to 12
JRE Upgrade Instructions for XP
Windows Vista IE 7 or 8,
Firefox 3.5.2 up to 12
JRE Upgrade Instructions for Vista

Windows 7 IE 8,
Firefox 3.5.2 up to 12
JRE Upgrade Instructions for Windows 7

 

Adobe Acrobat Reader download

JRE 1.6.0_35 plugin download

JRE 1.6.0_45 plugin download - For IE 32-bit

JRE 1.6.0_45 plugin download - Requires IE 64-bit